Skip to main content
PATCH
/
v2
/
recurring-tasks
/
{id}
/
dates
Atualiza datas de início e fim de uma recorrência
curl --request PATCH \
  --url https://app.tarefy.com/nodeapi/v2/recurring-tasks/{id}/dates \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "startDate": "<string>",
  "endDate": "<string>"
}
'
import requests

url = "https://app.tarefy.com/nodeapi/v2/recurring-tasks/{id}/dates"

payload = {
"startDate": "<string>",
"endDate": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({startDate: '<string>', endDate: '<string>'})
};

fetch('https://app.tarefy.com/nodeapi/v2/recurring-tasks/{id}/dates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{}

Authorizations

Authorization
string
header
required

JWT token obtained from /v2/auth/login. Send it in the header: Authorization: Bearer <your_token>

Path Parameters

id
string
required

Body

application/json
startDate
string
endDate
string

Response

200 - application/json

Datas da recorrência atualizadas com sucesso

The response is of type object.